echo -off
mode 80,25

;locate correct drive
cls
if exist .\flash.nsh then
  goto FLASH
endif
if exist fs0:\AFU\AfuEfix64_TS.efi then
  fs0:
  echo Found Flash Package on fs0:
  goto FLASH
endif
if exist fs1:\AFU\AfuEfix64_TS.efi then
  fs1:
  echo Found Flash Package on fs1:
  goto FLASH
endif
if exist fs2:\AFU\AfuEfix64_TS.efi then
  fs2:
  echo Found Flash Package on fs2:
  goto FLASH
endif
if exist fs3:\AFU\AfuEfix64_TS.efi then
  fs3:
  echo Found Flash Package on fs3:
  goto FLASH
endif
if exist fs4:\AFU\AfuEfix64_TS.efi then
  fs4:
  echo Found Flash Package on fs4:
  goto FLASH
endif
if exist fs5:\AFU\AfuEfix64_TS.efi then
  fs5:
  echo Found Flash Package on fs5:
  goto FLASH
endif

:FLASH
echo -on
cd \AFU
if exist .\IMAGEA4.ROM then 
   goto AFUFLASH
endif

if exist \IMAGEA4.ROM then 
   goto ROOTFLASH
endif

echo Could not find BIOS update file
goto END

:ROOTFLASH
AfuEfix64_TS.efi \IMAGEA4.ROM /R /SP /B /P /N /CAPSULE /DEFANS
goto END

:AFUFLASH
AfuEfix64_TS.efi IMAGEA4.ROM /R /SP /B /P /N /CAPSULE /DEFANS
goto END

:END